Subject: Re: powerpc port for sbc8260-based board problem

From: Scott Wood <[email-masked]>
Date: Wed, 07 May 2008 13:53:37 -0500

Boris Shteinbock wrote:
>> The second reg resource depends on where your firmware set up the SMC pram
>> regs.  With U-boot, it's usually zero.
> 
>> Note that as of 2.6.26-rc1, this is set up dynamically instead, and the
>> second resource should be .
> Is this correct?
> 
>         reg = <0x11a80 0x20 0x87fc 2>;

Yes.

> I also understand, that latest development kernel contains some significant changes in SMC UART code, especially
> in muram code, is this correct? So does this reg value reflect this change?

Yes, those are the changes I was referring to.

>>> Can someone, also, explain, how "fsl, cpm-command" field works,
> 
>> It's the device-specific portion of the value that gets written to the CPM
>> command register (page, sub-block, and mcc channel).
> 
> Is it possible to get a quick list of all values for all 8260 soc devices somewhere ? Or do I have to dig  specific Freescale reference for it?

See table 13-6 (CP Command Register Field Descriptions) in the 8260 manual.

> I am particularly interested in SMC2 and FCC1,2 and 3 ?

SMC2: 0x21200000
FCC1: 0x12000000 (ATM 0x11c00280)
FCC2: 0x16200000 (ATM 0x15c00280)
FCC3: 0x1a400000

For FCCs, add 0x300 for Ethernet, 0x3c0 for transparent.

-Scott